Last Comment Bug 17158 - "no proxy for" isn't implemented
: "no proxy for" isn't implemented
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All Other
: P3 major with 2 votes (vote)
: M14
Assigned To: Gagan
: Tom Everingham
Mentors:
: 22208 26247 26778 28162 (view as bug list)
Depends on: 27141
Blocks: 16677 20400
  Show dependency treegraph
 
Reported: 1999-10-24 17:32 PDT by edburns
Modified: 2004-06-16 03:46 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description edburns 1999-10-24 17:32:22 PDT
Most browser allow one to specify a list of hostnames for which the currently
set proxy should be bypassed.  Most browsers also allow one to set a preference
for bypassing the proxy for all local hostnames.  Neither feature appears to be
implemented.  I checked bonsai for gagan's 9/20 fix to 8559 and found no nearby
code that seemed to implement the "no proxy for..." feature.
Comment 1 chris hofmann 1999-11-02 15:22:59 PST
-> m14 .  this sounds like beta or later...
Comment 2 leger 1999-12-13 16:38:59 PST
Bulk move of all Necko (to be deleted component) bugs to new Networking

component.
Comment 3 Gagan 1999-12-22 12:24:59 PST
*** Bug 22208 has been marked as a duplicate of this bug. ***
Comment 4 leger 2000-01-31 17:57:05 PST
PDT+
Comment 5 Gagan 2000-02-03 16:46:50 PST
*** Bug 26247 has been marked as a duplicate of this bug. ***
Comment 6 Gagan 2000-02-07 15:36:14 PST
*** Bug 26778 has been marked as a duplicate of this bug. ***
Comment 7 Gagan 2000-02-09 15:05:09 PST
Just noticed that the pref for no_proxies is not be read/written. I have created
a separate bug for the same. bug 27141. And will be checking in the remaining
fix for this bug tonite, but it will require bug 27141 to work. 
Comment 8 jt 2000-02-09 17:03:43 PST
	If anyone care, bug 26503 (which in fact is more a feature request) depends on
this bug. I don't want to mess with dependancies setting, so someone else can do
that for me ;-)
Comment 9 Gagan 2000-02-10 16:59:59 PST
fix checked in. now this is only waiting on 27141...
Comment 10 Greg_Norris 2000-02-15 12:50:01 PST
It looks like the fix for bug 27141 is included in the 2000021509 build...
unfortunately the "no proxy for" setting doesn't appear to be working correctly.
 If I fill in a value I'm no longer able to access any external sites using the
proxy, although local sites come up fine.  After clearing the entry, external
sites are fine, but of course local ones become inaccessible.

For the purposes of this test I'm using the single entry "dor.intranet".  System
is a PII-300MHz w/128MB running NT4, SP6.

Comment 11 Daniel Bratell 2000-02-16 22:52:16 PST
*** Bug 28162 has been marked as a duplicate of this bug. ***
Comment 12 Tom Mraz 2000-02-18 06:35:09 PST
I confirm that the no_proxies_on pref doesn't work correctly after that fix. It
looks like it is rather numeric value although it should be string value.
Comment 13 Tom Mraz 2000-02-18 06:49:36 PST
Sorry, it was already fixed... But it still doesn't work. When I set the setting
in the no proxy for. It behaves as if the proxy was disabled for every address
which isn't correct behaviour. It should compare the end of the server name with
the no proxy for setting and then decide whether it should use proxy or not.
Comment 14 Greg_Norris 2000-02-18 08:11:08 PST
It seems to be storing the setting properly as a string here, under build 
2000021708... my prefs.js file shows the following:

     user_pref("network.proxy.no_proxies_on", "dor.intranet");
Comment 15 Warren Harris 2000-02-22 00:17:24 PST
2/9/00 is over. need new date.
Comment 16 Gagan 2000-02-22 11:31:39 PST
fixed. waiting for review. 
Comment 17 Tom Mraz 2000-02-23 00:58:49 PST
The wariable no_proxies_on still doesn't work in the Linux build 2000022217. If
I set there whatever text the browser stops using proxy at all.
Comment 18 Gagan 2000-02-23 13:21:43 PST
fix checked in.
Comment 19 Tom Mraz 2000-02-24 23:37:26 PST
Yup! It's fixed now! Wonderfull!
Comment 20 Greg_Norris 2000-02-25 04:36:49 PST
How should multiple entries be formatted... i.e. seperated by spaces, commas,
semicolons, etc.?  I need three entries, but only the first seems to "take".
For example, here's the IE entry which I'm trying to clone:

     dogwood.state.mo.us;*.intra.state.mo.us;dor.intranet

Any information would be appreciated... Thanx!

Comment 21 Gagan 2000-02-26 15:01:44 PST
the correct separtors are spaces or commas. So use this-

dogwood.state.mo.us .intra.state.mo.us dor.intranet
or
dogwood.state.mo.us, .intra.state.mo.us, dor.intranet

Note that you don't need to (read shouldn't) put a * for all hosts with that 
domain ending. Corollary- a no_proxies_on entry of netscape.com will be 
applicable to all hosts ending at netscape.com including foonetscape.com but an 
entry of .netscape.com will specifically be applicable to all hosts in the 
domain of netscape.com.


Comment 22 Greg_Norris 2000-02-28 05:02:04 PST
Thanx, it's working just fine now.  Apparently some of our local sites have 
been moved to a different server, so the "no proxy for" setting wasn't the real 
problem...

Thanx again!
Comment 23 Dean Tessman 2000-02-28 11:19:42 PST
As a bit of a side, in the future I think it would be useful if this interface 
changed to something more along the lines of a list box with add/remove buttons.  
I've never liked the single line of values.  But that could just be me.
Comment 24 Tom Everingham 2000-02-29 14:38:44 PST
verified:
WinNT 2000022708

Note You need to log in before you can comment on or make changes to this bug.